<UANodeSet xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:uax="http://opcfoundation.org/UA/2008/02/Types.xsd" xmlns="http://opcfoundation.org/UA/2011/03/UANodeSet.xsd" xmlns:s1="http://krohnegroup.com/TestModel/Types.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <NamespaceUris>
        <Uri>http://krohnegroup.com/TestModel/</Uri>
    </NamespaceUris>
    <Aliases>
        <Alias Alias="UInt32">i=7</Alias>
        <Alias Alias="Double">i=11</Alias>
        <Alias Alias="String">i=12</Alias>
        <Alias Alias="Organizes">i=35</Alias>
        <Alias Alias="HasModellingRule">i=37</Alias>
        <Alias Alias="HasTypeDefinition">i=40</Alias>
        <Alias Alias="HasSubtype">i=45</Alias>
        <Alias Alias="HasProperty">i=46</Alias>
        <Alias Alias="HasComponent">i=47</Alias>
    </Aliases>
    <Extensions>
        <Extension>
            <ModelInfo Tool="UaModeler" Hash="2VjgZydlSX7P08Hasg03fQ==" Version="1.4.3"/>
        </Extension>
    </Extensions>
    <UAObjectType NodeId="ns=1;i=1002" BrowseName="1:TemperatureSensorType">
        <DisplayName>TemperatureSensorType</DisplayName>
        <References>
            <Reference ReferenceType="HasComponent">ns=1;i=5001</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=5006</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=5002</Reference>
            <Reference ReferenceType="HasSubtype" IsForward="false">i=58</Reference>
        </References>
    </UAObjectType>
    <UAObject ParentNodeId="ns=1;i=1002" NodeId="ns=1;i=5001" BrowseName="1:Configuration">
        <DisplayName>Configuration</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=1002</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6001</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="String" ParentNodeId="ns=1;i=5001" NodeId="ns=1;i=6001" BrowseName="1:EngineeringUnit" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>EngineeringUnit</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5001</Reference>
            <Reference ReferenceType="HasProperty" IsForward="false">ns=1;i=6002</Reference>
        </References>
    </UAVariable>
    <UAObject ParentNodeId="ns=1;i=1002" NodeId="ns=1;i=5006" BrowseName="1:DeviceData">
        <DisplayName>DeviceData</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=1002</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6005</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="UInt32" ParentNodeId="ns=1;i=5006" NodeId="ns=1;i=6005" BrowseName="1:UpTime" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>UpTime</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5006</Reference>
        </References>
        <Value>
            <uax:UInt32>0</uax:UInt32>
        </Value>
    </UAVariable>
    <UAObject ParentNodeId="ns=1;i=1002" NodeId="ns=1;i=5002" BrowseName="1:Measurement">
        <DisplayName>Measurement</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=1002</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6002</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="Double" ParentNodeId="ns=1;i=5002" NodeId="ns=1;i=6002" BrowseName="1:Temperature" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>Temperature</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasProperty">ns=1;i=6001</Reference>
            <Reference ReferenceType="HasModellingRule">i=78</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5002</Reference>
        </References>
        <Value>
            <uax:Double>0</uax:Double>
        </Value>
    </UAVariable>
    <UAObject NodeId="ns=1;i=5004" BrowseName="1:TemperatureSensor">
        <DisplayName>TemperatureSensor</DisplayName>
        <References>
            <Reference ReferenceType="HasComponent">ns=1;i=5003</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=5007</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=5005</Reference>
            <Reference ReferenceType="Organizes" IsForward="false">i=85</Reference>
            <Reference ReferenceType="HasTypeDefinition">ns=1;i=1002</Reference>
        </References>
    </UAObject>
    <UAObject ParentNodeId="ns=1;i=5004" NodeId="ns=1;i=5003" BrowseName="1:Configuration">
        <DisplayName>Configuration</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5004</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6003</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="String" ParentNodeId="ns=1;i=5003" NodeId="ns=1;i=6003" BrowseName="1:EngineeringUnit" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>EngineeringUnit</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5003</Reference>
            <Reference ReferenceType="HasProperty" IsForward="false">ns=1;i=6004</Reference>
        </References>
    </UAVariable>
    <UAObject ParentNodeId="ns=1;i=5004" NodeId="ns=1;i=5007" BrowseName="1:DeviceData">
        <DisplayName>DeviceData</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5004</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6006</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="UInt32" ParentNodeId="ns=1;i=5007" NodeId="ns=1;i=6006" BrowseName="1:UpTime" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>UpTime</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5007</Reference>
        </References>
        <Value>
            <uax:UInt32>0</uax:UInt32>
        </Value>
    </UAVariable>
    <UAObject ParentNodeId="ns=1;i=5004" NodeId="ns=1;i=5005" BrowseName="1:Measurement">
        <DisplayName>Measurement</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=58</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5004</Reference>
            <Reference ReferenceType="HasComponent">ns=1;i=6004</Reference>
        </References>
    </UAObject>
    <UAVariable DataType="Double" ParentNodeId="ns=1;i=5005" NodeId="ns=1;i=6004" BrowseName="1:Temperature" UserAccessLevel="3" AccessLevel="3">
        <DisplayName>Temperature</DisplayName>
        <References>
            <Reference ReferenceType="HasTypeDefinition">i=63</Reference>
            <Reference ReferenceType="HasProperty">ns=1;i=6003</Reference>
            <Reference ReferenceType="HasComponent" IsForward="false">ns=1;i=5005</Reference>
        </References>
        <Value>
            <uax:Double>0</uax:Double>
        </Value>
    </UAVariable>
</UANodeSet>
